Page MenuHomePhabricator

Measure change in keyword usage with AdvancedSearch
Closed, ResolvedPublic

Description

Hypothesis
The usage of keywords by humans (not bots) increases with the AdvancedSearch extension

Task
On a graph, display the number of searches that

  • were made via a web request (rough approximation on human requests, not bots)
  • happened on the Wikimedia wikis
  • included keywords that are (or will be) accessible through AdvancedSearch: filetype/filemime, intitle, subpageof, inlanguage, hastemplate, deepcat

Please also split between searches submitted from special:search by people who have AdvancedSearch installed, and those who haven't (but also show the overall value)

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 12 2018, 10:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Medium priority.Feb 14 2018, 11:51 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Feb 21 2018, 4:40 PM
thiemowmde renamed this task from Measure change in keyword usage with advancedSearch to Measure change in keyword usage with AdvancedSearch.Mar 13 2018, 1:34 PM
thiemowmde updated the task description. (Show Details)
thiemowmde updated the task description. (Show Details)Mar 13 2018, 1:36 PM

@GoranSMilovanovic one more question: Would it be possible for you to differentiate between logged in users and not logged in users? If yes, I would adapt the ticket description here and in T187039, too.

@Lea_WMDE if the userAgent field contains something like isAnon, then yes, otherwise, no. I don't think we have that (rather common in our RDBS tables) field in this Hive table.

GoranSMilovanovic closed this task as Resolved.Apr 12 2018, 8:25 AM